.modal-popup {
  animation-duration: 0.3s;
  animation-name: modalFade;
  border: none;
  max-height: 80%;
  max-width: 420px;
  overflow-y: auto;
  padding: 0 1em;
  position: fixed;
  top: 50%;
  transform: translateY(-50%);
  width: 90%;

  &::backdrop,
  & + .backdrop {
    background-color: $modal-backdrop-color;
  }

  @include sm {
    max-width: 500px;
  }

  @include md {
    min-width: 650px;
  }
}

.modal-popup__inner {
  padding: 40px 20px 20px;

  @include sm {
    padding: 50px;
  }
}

.modal-popup__close-wrap {
  background: white;
  padding: 20px;
  position: sticky;
  top: 0;
}

.change-box-size .modal-popup__inner {
  padding: 0 0 20px 0;
  text-align: center;
}

.change-box-size .modal-popup__close-wrap {
  padding: 20px 0 0 0;
}

.change-box-size .checkout-panel__box-status {
  margin-right: 14px;
}

.modal-popup__close {
  height: 20px;
  left: 10px;
  position: sticky;
  top: 10px;
  width: 20px;

  @include sm {
    left: 15px;
    top: 15px;
  }
}

.modal-popup .pasta-type-list__buttons {
  margin-bottom: 10px;
}

@keyframes modalFade {
  from {
    opacity: 0;
    transform: translateY(-150%);
  }

  to {
    opacity: 1;
    transform: translateY(-50%);
  }
}

.modal-popup-backdrop {
  background-color: $modal-backdrop-color;
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
}
